Skip to main content
PUT
/
api
/
config
/
forms-auth
Updates the forms-based authentication configuration for the current tenant.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/config/forms-auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "active": true,
  "passwordChangeInterval": 123,
  "passwordMinimumLength": 123,
  "passwordMaximumLength": 123,
  "passwordRequireNumber": true,
  "passwordRequireUppercaseLetter": true,
  "passwordRequireLowercaseLetter": true,
  "passwordRequireSymbol": true,
  "twoFactorAuth": true,
  "twoFactorAuthCodeSize": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "active": true,
  "passwordChangeInterval": 123,
  "passwordMinimumLength": 123,
  "passwordMaximumLength": 123,
  "passwordRequireNumber": true,
  "passwordRequireUppercaseLetter": true,
  "passwordRequireLowercaseLetter": true,
  "passwordRequireSymbol": true,
  "twoFactorAuth": true,
  "twoFactorAuthCodeSize": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The updated forms auth configuration.

entity
null | string
active
boolean
passwordChangeInterval
integer<int32>
passwordMinimumLength
integer<int32>
passwordMaximumLength
integer<int32>
passwordRequireNumber
boolean
passwordRequireUppercaseLetter
boolean
passwordRequireLowercaseLetter
boolean
passwordRequireSymbol
boolean
twoFactorAuth
boolean
twoFactorAuthCodeSize
integer<int32>
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Configuration updated successfully.

entity
null | string
active
boolean
passwordChangeInterval
integer<int32>
passwordMinimumLength
integer<int32>
passwordMaximumLength
integer<int32>
passwordRequireNumber
boolean
passwordRequireUppercaseLetter
boolean
passwordRequireLowercaseLetter
boolean
passwordRequireSymbol
boolean
twoFactorAuth
boolean
twoFactorAuthCodeSize
integer<int32>
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean